Skip to main content

Update Review Resource

API Description

Update a review resource by supplying the unique Apple-generated review ID assigned to the partner's review of a location, along with the review in full, not just the fields requiring updating. Any field that is omitted SHALL be interpreted as a deletion.

warning

Review type cannot be updated after a review is created. Recommendation: Delete review and recreate with the expected type and new partnersReviewId

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
reviewId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/locations/{locationId}/reviews/{reviewId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/reviews/9467895078742654975

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "7ed978f2-a3e5-11ed-a8fc-0242ac120002"

Request Body

NameInput
$.id
REQUIRED
$.reviewDetails
REQUIRED

name is updated in this scenario.

Example Request Body (raw JSON)
{
"id": "9467895078742654975",
"reviewDetails": {
"partnersReviewId": "857127252",
"dateAdded": "2026-09-01T20:06:00Z",
"type": "USER",
"review": {
"author": {
"givenName": "Robert",
"lastInitial": "S.",
"imageUrl": "http://goodpartner.com/media/images/author_profile_pic/user_id=43767642526I/default-avatar.jpg"
},
"name": "Excellent Location",
"reviewBody": "Warm, friendly and entirely accommodating to all our needs.",
"locale": "en",
"starRatings": [
{
"category": "OVERALL",
"ratingValue": 4,
"bestRating": 5
}
],
"interactionStatistics": [
{
"interactionType": "HELPFUL",
"userInteractionCount": 25
}
]
}
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: c23dbe40-6264-4dbb-ad31-7a6e2ef3ee78
content-type: application/json
etag: "967687a2-a3e5-11ed-a8fc-0242ac120002"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976/reviews/9467895078742654975

Response Body

NameOutput
$.orgId
REQUIRED
$.locationId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.reviewDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654975",
"createdDate": "2026-10-02T11:41:00Z",
"updatedDate": "2026-10-03T17:04:00Z",
"state": "SUBMITTED",
"etag": "967687a2-a3e5-11ed-a8fc-0242ac120002",
"reviewDetails": {
"partnersReviewId": "857127252",
"dateAdded": "2026-09-01T20:06:00Z",
"review": {
"author": {
"givenName": "Robert",
"lastInitial": "S.",
"imageUrl": "http://goodpartner.com/media/images/author_profile_pic/user_id=43767642526I/default-avatar.jpg"
},
"name": "Excellent Location",
"reviewBody": "Warm, friendly and entirely accommodating to all our needs.",
"locale": "en",
"starRatings": [
{
"category": "OVERALL",
"ratingValue": 4,
"bestRating": 5
}
],
"interactionStatistics": [
{
"interactionType": "HELPFUL",
"userInteractionCount": 25
}
]
}
},
"validationReports": []
}